petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMKSPSetComputeRHS

set KSP right hand side evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeRHS(DM dm,PetscErrorCode (*func)(KSP,Vec,void*),void *ctx)

Not Collective Many br

### Input Argument

| dm | - DM to be used with KSP Many br
| func | - right hand side evaluation function, see KSPSetComputeRHS() for calling sequence Many br
| ctx | - context for right hand side evaluation Many br

Many br

### Note

KSPSetComputeRHS() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or Many brnot. If DM took a more central role at some later date, this could become the primary method of setting the matrix. Many br

### See Also

DMKSPSetContext(), DMKSPGetComputeRHS(), KSPSetRHS()

Level:advanced
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages